
Redmine - Feature #5661

Select all / Unselect all trackes during project creation

2010-06-09 15:28 - Xingdong Bian

Status: Closed Start date: 2010-06-09

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 90%

Category: Project settings Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi,

I would be a lot easier if it is possible to unselect all trackes during project creation, as they are ticked by default when there are 30

tracks everytime i have to uncheck each of them.

Also for the memebers tab of project settings, the right column has a list of members, it would be helpful to have two links with select

all and unselect all members.

Thanks a lot

Xingdong Bian

Related issues:

Has duplicate Redmine - Feature #13108: add "check all" & "uncheck all" at Pr... Closed

Is duplicate of Redmine - Patch #28242: Add toggle checkboxes link (green tic... Closed

History

#1 - 2010-06-19 18:57 - Nick Peelman

- File reminecheckall.diff added

Patched out working copy of 0.9.4 with the attached diff.  Works well enough for us, figured i’d share.

 20100619-8uexhympssjjewp25i6phrbxf3.png 

#2 - 2010-06-19 19:07 - Nick Peelman

- File modulescheckall.diff added

Adding similar links to the Modules block as well...

#3 - 2010-06-20 22:47 - Mischa The Evil

- Category changed from Projects to UI

- Priority changed from High to Normal

#4 - 2010-07-16 11:23 - Xingdong Bian

Thanks!  Nick Peelman!

The changes works for me very well, just to point out the first diff is for file: app/views/projects/_form.rhtml

#5 - 2010-09-22 17:42 - Xingdong Bian

- Assignee set to Jean-Philippe Lang

- % Done changed from 0 to 90

As this works great it would be really nice to include in the next release of Redmine.

#6 - 2010-12-02 05:28 - Mischa The Evil

- File ro5661-add_check-all_links_in_project_settings_views-r4425.diff added
I've wrapped-up both of the patches and rebased them against the Redmine trunk at r4425 (source:/trunk@4425).

#7 - 2010-12-02 05:32 - Nick Peelman

Mischa The Evil wrote:

I've wrapped-up both of the patches and rebased them against the Redmine trunk at r4425 (source:/trunk@4425).

 Thanks Misha, a job change has caused me to not be able to work on redmine stuff for a while now. glad to see that there's still hope for some of my

patches :)

#8 - 2013-02-09 07:00 - Toshi MARUYAMA

- Subject changed from Select all / Unselect all to Select all / Unselect all trackes during project creation

- Category changed from UI to Project settings

#9 - 2020-06-11 23:39 - Go MAEDA

- Is duplicate of Patch #28242: Add toggle checkboxes link (green tick) to several screens   added

#10 - 2020-06-11 23:40 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

The feature has been added by #28242 (Redmine 4.0.0).

Files

reminecheckall.diff 1.05 KB 2010-06-19 Nick Peelman

modulescheckall.diff 767 Bytes 2010-06-19 Nick Peelman

ro5661-add_check-all_links_in_project_settings_views-r4425.diff 2.02 KB 2010-12-02 Mischa The Evil
